Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/AverageBitBinaryVectorComparer.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/AverageBitBinaryVectorComparer.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/AverageBitBinaryVectorComparer.cs	(revision 16462)
@@ -24,12 +24,12 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.BinaryVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.NK {
   [Item("Average Bit Binary Vector Comparer", "Compares two binary vectors by their average positive bit location")]
-  [StorableClass]
+  [StorableType("F782E957-3D46-40BC-B152-045F9E2BE330")]
   public sealed class AverageBitBinaryVectorComparer : Item, IBinaryVectorComparer {
     [StorableConstructor]
-    private AverageBitBinaryVectorComparer(bool deserializing) : base(deserializing) { }
+    private AverageBitBinaryVectorComparer(StorableConstructorFlag _) : base(_) { }
     private AverageBitBinaryVectorComparer(AverageBitBinaryVectorComparer original, Cloner cloner)
       : base(original, cloner) { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/LexicographicBinaryVectorComparer.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/LexicographicBinaryVectorComparer.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/LexicographicBinaryVectorComparer.cs	(revision 16462)
@@ -24,12 +24,12 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.BinaryVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.NK {
   [Item("Lexicographic Binary Vector Comparer", "Compares two binary vectors lexicographically")]
-  [StorableClass]
+  [StorableType("E107BAC1-B863-4704-9129-F258B0974285")]
   public sealed class LexicographicBinaryVectorComparer : Item, IBinaryVectorComparer {
     [StorableConstructor]
-    private LexicographicBinaryVectorComparer(bool deserializing) : base(deserializing) { }
+    private LexicographicBinaryVectorComparer(StorableConstructorFlag _) : base(_) { }
     private LexicographicBinaryVectorComparer(LexicographicBinaryVectorComparer original, Cloner cloner)
       : base(original, cloner) { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/MedianBitBinaryVectorComparer.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/MedianBitBinaryVectorComparer.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/MedianBitBinaryVectorComparer.cs	(revision 16462)
@@ -24,12 +24,12 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.BinaryVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.NK {
   [Item("Median Bit Binary Vector Comparer", "Compares two binary vectors by the median positive bit location")]
-  [StorableClass]
+  [StorableType("C750F13C-F775-4A53-8725-DB26F38DC229")]
   public sealed class MedianBitBinaryVectorComparer : Item, IBinaryVectorComparer {
     [StorableConstructor]
-    private MedianBitBinaryVectorComparer(bool deserializing) : base(deserializing) { }
+    private MedianBitBinaryVectorComparer(StorableConstructorFlag _) : base(_) { }
     private MedianBitBinaryVectorComparer(MedianBitBinaryVectorComparer original, Cloner cloner)
       : base(original, cloner) { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/HeuristicLab.Problems.NK-3.3.csproj
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/HeuristicLab.Problems.NK-3.3.csproj	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/HeuristicLab.Problems.NK-3.3.csproj	(revision 16462)
@@ -112,5 +112,5 @@
       <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
     </Reference>
-    <Reference Include="HEAL.Fossil, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
+    <Reference Include="HEAL.Fossil, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
       <HintPath>..\..\packages\HEAL.Fossil.1.0.0\lib\netstandard2.0\HEAL.Fossil.dll</HintPath>
     </Reference>
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/InteractionInitializers/IncreasingBlockSizeInteractionsInitializer.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/InteractionInitializers/IncreasingBlockSizeInteractionsInitializer.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/InteractionInitializers/IncreasingBlockSizeInteractionsInitializer.cs	(revision 16462)
@@ -26,12 +26,12 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.BinaryVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.NK {
   [Item("IncreasingBlockSizeInteractionsInitializer", "Randomly assignes interactions across all bits but makes sure that different numbers of ineractions are applied to different bits.")]
-  [StorableClass]
+  [StorableType("E4AAEDCA-6A90-45AE-AFD5-B200A50ACAB8")]
   public sealed class IncreasingBlockSizeInteractionsInitializer : ParameterizedNamedItem, IInteractionInitializer {
     [StorableConstructor]
-    private IncreasingBlockSizeInteractionsInitializer(bool serializing) : base(serializing) { }
+    private IncreasingBlockSizeInteractionsInitializer(StorableConstructorFlag _) : base(_) { }
     private IncreasingBlockSizeInteractionsInitializer(IncreasingBlockSizeInteractionsInitializer original, Cloner cloner) : base(original, cloner) { }
     public IncreasingBlockSizeInteractionsInitializer() { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/InteractionInitializers/LimitedRandomInteractionsInitializer.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/InteractionInitializers/LimitedRandomInteractionsInitializer.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/InteractionInitializers/LimitedRandomInteractionsInitializer.cs	(revision 16462)
@@ -26,9 +26,9 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.NK {
   [Item("LimitedRandomInteractionsInitializer", "Randomly assignes interactions across bits in the vicinity of each other respecting the maximum distances if possible.")]
-  [StorableClass]
+  [StorableType("A49E3167-FC04-40F8-A45C-BA8818CE2065")]
   public sealed class LimitedRandomInteractionsInitializer : ParameterizedNamedItem, IInteractionInitializer {
     private class Bounds {
@@ -52,5 +52,5 @@
 
     [StorableConstructor]
-    private LimitedRandomInteractionsInitializer(bool serializing) : base(serializing) { }
+    private LimitedRandomInteractionsInitializer(StorableConstructorFlag _) : base(_) { }
     private LimitedRandomInteractionsInitializer(LimitedRandomInteractionsInitializer original, Cloner cloner) : base(original, cloner) { }
     public LimitedRandomInteractionsInitializer() {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/InteractionInitializers/RandomInteractionsInitializer.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/InteractionInitializers/RandomInteractionsInitializer.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/InteractionInitializers/RandomInteractionsInitializer.cs	(revision 16462)
@@ -24,12 +24,12 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.NK {
   [Item("RandomInteractionsInitializer", "Randomly assignes interactions across all bits")]
-  [StorableClass]
+  [StorableType("ACB3BE45-DB9E-4200-95BF-D22C726B4DAE")]
   public sealed class RandomInteractionsInitializer : ParameterizedNamedItem, IInteractionInitializer {
     [StorableConstructor]
-    private RandomInteractionsInitializer(bool serializing) : base(serializing) { }
+    private RandomInteractionsInitializer(StorableConstructorFlag _) : base(_) { }
     private RandomInteractionsInitializer(RandomInteractionsInitializer original, Cloner cloner) : base(original, cloner) { }
     public RandomInteractionsInitializer() { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/InteractionInitializers/SortedRandomInteractionsInitializer.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/InteractionInitializers/SortedRandomInteractionsInitializer.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/InteractionInitializers/SortedRandomInteractionsInitializer.cs	(revision 16462)
@@ -26,10 +26,10 @@
 using HeuristicLab.Encodings.BinaryVectorEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Problems.NK {
   [Item("SortedRandomInteractionsInitializer", "Randomly assigns interactions across all bits and sorts components according to bit affinity.")]
-  [StorableClass]
+  [StorableType("33F27348-DC65-4DCF-88EC-383379EEEA0C")]
   public sealed class SortedRandomInteractionsInitializer : ParameterizedNamedItem, IInteractionInitializer {
     public IConstrainedValueParameter<IBinaryVectorComparer> ComparerParameter {
@@ -41,5 +41,5 @@
 
     [StorableConstructor]
-    private SortedRandomInteractionsInitializer(bool serializing) : base(serializing) { }
+    private SortedRandomInteractionsInitializer(StorableConstructorFlag _) : base(_) { }
     private SortedRandomInteractionsInitializer(SortedRandomInteractionsInitializer original, Cloner cloner) : base(original, cloner) { }
     public SortedRandomInteractionsInitializer() {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/NKBitFlipMoveEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/NKBitFlipMoveEvaluator.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/NKBitFlipMoveEvaluator.cs	(revision 16462)
@@ -26,10 +26,10 @@
 using HeuristicLab.Encodings.BinaryVectorEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.NK {
 
   [Item("NK BitFlip Move Evaluator", "Evaluates a single bit flip on an NK landscape.")]
-  [StorableClass]
+  [StorableType("58DA2DE8-6FEB-464F-9B25-E2CA676D530E")]
   public class NKBitFlipMoveEvaluator : NKMoveEvaluator, IOneBitflipMoveOperator {
     public ILookupParameter<OneBitflipMove> OneBitflipMoveParameter {
@@ -41,5 +41,5 @@
 
     [StorableConstructor]
-    protected NKBitFlipMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected NKBitFlipMoveEvaluator(StorableConstructorFlag _) : base(_) { }
     protected NKBitFlipMoveEvaluator(NKBitFlipMoveEvaluator original, Cloner cloner)
       : base(original, cloner) { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/NKLandscape.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/NKLandscape.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/NKLandscape.cs	(revision 16462)
@@ -28,5 +28,5 @@
 using HeuristicLab.Encodings.BinaryVectorEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.PluginInfrastructure;
 using HeuristicLab.Problems.Binary;
@@ -36,5 +36,5 @@
   [Item("NK Landscape", "Represents an NK landscape optimization problem.")]
   [Creatable(CreatableAttribute.Categories.CombinatorialProblems, Priority = 215)]
-  [StorableClass]
+  [StorableType("04294537-87F2-4A9F-BC14-7D4CA700F326")]
   public sealed class NKLandscape : BinaryProblem {
     public override bool Maximization {
@@ -136,5 +136,5 @@
 
     [StorableConstructor]
-    private NKLandscape(bool deserializing) : base(deserializing) { }
+    private NKLandscape(StorableConstructorFlag _) : base(_) { }
     private NKLandscape(NKLandscape original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/NKMoveEvaluator.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/NKMoveEvaluator.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/NKMoveEvaluator.cs	(revision 16462)
@@ -26,10 +26,10 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.NK {
 
   [Item("NKMoveEvaluator", "A base class for operators which evaluate moves on the NK Landscape.")]
-  [StorableClass]
+  [StorableType("54E33987-5AC1-4E3B-ABE7-769B009A6A76")]
   public abstract class NKMoveEvaluator : SingleSuccessorOperator, INKMoveEvaluator, IBinaryVectorMoveOperator {
 
@@ -56,5 +56,5 @@
 
     [StorableConstructor]
-    protected NKMoveEvaluator(bool deserializing) : base(deserializing) { }
+    protected NKMoveEvaluator(StorableConstructorFlag _) : base(_) { }
     protected NKMoveEvaluator(NKMoveEvaluator original, Cloner cloner) : base(original, cloner) { }
     protected NKMoveEvaluator()
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/EqualWeightsInitializer.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/EqualWeightsInitializer.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/EqualWeightsInitializer.cs	(revision 16462)
@@ -23,12 +23,12 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.NK {
   [Item("EqualWeightsInitializer", "Initializes all weights to 1.0.")]
-  [StorableClass]
+  [StorableType("AFFF8CCF-FF3E-48F6-861D-2A5E595FA0C0")]
   public sealed class EqualWeightsInitializer : ParameterizedNamedItem, IWeightsInitializer {
     [StorableConstructor]
-    private EqualWeightsInitializer(bool deserializing) : base(deserializing) { }
+    private EqualWeightsInitializer(StorableConstructorFlag _) : base(_) { }
     private EqualWeightsInitializer(EqualWeightsInitializer original, Cloner cloner)
       : base(original, cloner) { }
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/ExponentialDistributionWeightsInitializer.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/ExponentialDistributionWeightsInitializer.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/ExponentialDistributionWeightsInitializer.cs	(revision 16462)
@@ -26,9 +26,9 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.NK {
   [Item("ExponentialDistributionWeightsInitializer", "Assigns exponentially decreasing weights using the rate parameter lambda.")]
-  [StorableClass]
+  [StorableType("F67982B7-A94B-4876-977A-34DB44B40739")]
   public sealed class ExponentialDistributionWeightsInitializer : ParameterizedNamedItem, IWeightsInitializer {
     public IValueParameter<DoubleValue> LambdaParameter {
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    private ExponentialDistributionWeightsInitializer(bool deserializing) : base(deserializing) { }
+    private ExponentialDistributionWeightsInitializer(StorableConstructorFlag _) : base(_) { }
     private ExponentialDistributionWeightsInitializer(ExponentialDistributionWeightsInitializer original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/ExponentialWeightsInitializer.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/ExponentialWeightsInitializer.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/ExponentialWeightsInitializer.cs	(revision 16462)
@@ -24,12 +24,12 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.NK {
   [Item("ExponentialWeightsInitializer", "Assigns exponentially increasing weights.")]
-  [StorableClass]
+  [StorableType("6F927828-8292-49E6-95CB-F4CFA97018CA")]
   public sealed class ExponentialWeightsInitializer : ParameterizedNamedItem, IWeightsInitializer {
     [StorableConstructor]
-    private ExponentialWeightsInitializer(bool deserializing) : base(deserializing) { }
+    private ExponentialWeightsInitializer(StorableConstructorFlag _) : base(_) { }
     private ExponentialWeightsInitializer(ExponentialWeightsInitializer original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/LinearWeightsInitializer.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/LinearWeightsInitializer.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/LinearWeightsInitializer.cs	(revision 16462)
@@ -23,12 +23,12 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.NK {
   [Item("LinearWeightsInitializer", "Assigns linear increasing weights.")]
-  [StorableClass]
+  [StorableType("355BD81C-E35B-4260-91DD-2B1729682E61")]
   public sealed class LinearWeightsInitializer : ParameterizedNamedItem, IWeightsInitializer {
     [StorableConstructor]
-    private LinearWeightsInitializer(bool deserializing) : base(deserializing) { }
+    private LinearWeightsInitializer(StorableConstructorFlag _) : base(_) { }
     private LinearWeightsInitializer(LinearWeightsInitializer original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/ReverseExponentialWeightsInitializer.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/ReverseExponentialWeightsInitializer.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/ReverseExponentialWeightsInitializer.cs	(revision 16462)
@@ -24,12 +24,12 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.NK {
   [Item("ReverseExponentialWeightsInitializer", "Assigns exponentially decreasing weights.")]
-  [StorableClass]
+  [StorableType("DF84DB40-3B0D-4047-ABAC-4962D970A08A")]
   public sealed class ReverseExponentialWeightsInitializer : ParameterizedNamedItem, IWeightsInitializer {
     [StorableConstructor]
-    private ReverseExponentialWeightsInitializer(bool deserializing) : base(deserializing) { }
+    private ReverseExponentialWeightsInitializer(StorableConstructorFlag _) : base(_) { }
     private ReverseExponentialWeightsInitializer(ReverseExponentialWeightsInitializer original, Cloner cloner)
       : base(original, cloner) {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/ReverseLinearWeightsInitializer.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/ReverseLinearWeightsInitializer.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.NK/3.3/WeightInitializers/ReverseLinearWeightsInitializer.cs	(revision 16462)
@@ -23,12 +23,12 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 
 namespace HeuristicLab.Problems.NK {
   [Item("ReverseLinearWeightsInitializer", "Assigns exponentially decreasing weights.")]
-  [StorableClass]
+  [StorableType("E63DE1AE-FBA4-4430-9C22-631ADDFD3976")]
   public sealed class ReverseLinearWeightsInitializer : ParameterizedNamedItem, IWeightsInitializer {
     [StorableConstructor]
-    private ReverseLinearWeightsInitializer(bool deserializing) : base(deserializing) { }
+    private ReverseLinearWeightsInitializer(StorableConstructorFlag _) : base(_) { }
     private ReverseLinearWeightsInitializer(ReverseLinearWeightsInitializer original, Cloner cloner)
       : base(original, cloner) {
